#!/usr/bin/env sh

if ! exist jj; then
    return 1
fi

alias j='jj' # necessary for a thing as easy to type?
if exist lazyjj; then
    alias lj="lazyjj"
fi
alias js="jj status"

alias jd="jj describe"
alias jn="jj new"
alias jc="jj commit"

alias jl='jj log'
alias jlo='jj log --summary'
alias jloo='jj log --patch'
alias jo="jj op log"

alias jss="jj squash"
alias jsi="jj squash --interactive"

alias je="jj edit"
alias jee="jj next --edit"

alias jun="jj undo"

alias jp="jj git push"
